Get audience run trends for charts
curl --request GET \
--url https://api.aws53.cloud/v1/intent/audiences/{id}/trends \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aws53.cloud/v1/intent/audiences/{id}/trends"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aws53.cloud/v1/intent/audiences/{id}/trends', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"audience": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"config": {
"topicIds": [
123
],
"minScore": 49,
"maxScore": 99,
"minTopicOverlap": 1,
"filters": {},
"sourceUrl": "<string>",
"topics": [
{
"topicId": 123,
"topicName": "<string>",
"type": "<string>",
"industry": "<string>",
"category": "<string>"
}
]
},
"dailyRefreshEnabled": true,
"audienceSize": 123,
"createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lastRefreshedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"pausedAt": "2023-11-07T05:31:56Z"
},
"latestRun": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"audienceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"configHash": "<string>",
"dataDate": "2023-12-25",
"resultKey": "<string>",
"candidateCount": 123,
"resultCount": 123,
"attempts": 123,
"nextAttemptAt": "2023-11-07T05:31:56Z",
"idempotencyKey": "<string>",
"errorCode": "<string>",
"errorMessage": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"cancelledAt": "2023-11-07T05:31:56Z",
"readyEmailSentAt": "2023-11-07T05:31:56Z",
"readyEmailExportId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"readyEmailError": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"points": [
{
"runId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resultKey": "<string>",
"dataDate": "2023-12-25",
"completedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"resultCount": 123,
"total": 123,
"companyCount": 123,
"highIntentCount": 123,
"mediumIntentCount": 123,
"lowIntentCount": 123,
"averageIntentScore": 123,
"maxIntentScore": 123,
"averageTopicOverlap": 123,
"maxTopicOverlap": 123,
"businessEmailCount": 123,
"businessEmailPercent": 123,
"anyEmailCount": 123,
"anyEmailPercent": 123,
"anyPhoneCount": 123,
"anyPhonePercent": 123,
"decisionMakerCount": 123,
"decisionMakerPercent": 123,
"executiveCount": 123,
"executivePercent": 123,
"movement": {
"hasPreviousRun": true,
"previousRunId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"newProfileCount": 123,
"droppedProfileCount": 123,
"retainedProfileCount": 123,
"scoreIncreasedCount": 123,
"scoreDecreasedCount": 123,
"scoreUnchangedCount": 123,
"highIntentEntrantCount": 123,
"highIntentExitCount": 123,
"topicOverlapIncreasedCount": 123,
"topicOverlapDecreasedCount": 123,
"topicOverlapUnchangedCount": 123
}
}
]
},
"meta": {
"timestamp": "2023-11-07T05:31:56Z",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
},
"meta": {
"timestamp": "2023-11-07T05:31:56Z",
"request_id": "<string>"
}
}Visitor overlap and analytics
Get audience run trends for charts
Returns chronological per-run metrics and run-over-run movement counts for completed runs.
GET
/
v1
/
intent
/
audiences
/
{id}
/
trends
Get audience run trends for charts
Authorizations
bearerAuthapiKeyAuth
Dashboard access token. Send as Authorization: Bearer .
Path Parameters
Query Parameters
Required range:
1 <= x <= 90Was this page helpful?
⌘I